Bug 146617 - HTTP requests are not url encoded
Summary: HTTP requests are not url encoded
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-30 19:56 UTC by Jan Kneschke
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 19:33:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kneschke 2005-01-30 19:56:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
The pluses in the HTTP request for libstdc++-3.4.3-16.x86_64.rpm are not URL-encoded.

GET /Fedora/RPMS/libstdc++-3.4.3-16.x86_64.rpm HTTP/1.1

is translated to '/Fedora/RPMS/libstdc  -3.4.3-16.x86_64.rpm' by the webserver which doesn't exists.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. take a webserver as 'lighttpd' as install medium
2. let anaconda install a steup which installs libstdc++

    

Actual Results:  GET /Fedora/RPMS/libstdc++-3.4.3-16.x86_64.rpm HTTP/1.1 is sent

Expected Results:  GET /Fedora/RPMS/libstdc%2B%2B-3.4.3-16.x86_64.rpm HTTP/1.1 should be sent

Additional info:

Comment 1 Chris Lumens 2005-02-21 15:17:45 UTC
We've switched to using urlgrabber inside anaconda.  Now we're just waiting for
urlgrabber to get split up into its own package, which will contain a patch for
encoding URLs.


Note You need to log in before you can comment on or make changes to this bug.